\documentclass[12pt]{scrartcl}

\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[ngerman]{babel}
\usepackage{charter}

\usepackage[backend=bibtex]{biblatex}

\usepackage{graphicx}
\usepackage{tikz}
\usetikzlibrary{arrows,decorations.pathmorphing,shapes}

\usepackage{algorithm2e}
\usepackage{float}

\usepackage{microtype}

\usepackage{listings}
\definecolor{ligth-gray}{gray}{0.95}
\lstset{columns=fullflexible, basicstyle=\ttfamily,
	backgroundcolor=\color{light-gray}, xleftmargin=0.5cm, xrightmargin=0.5cm, frame=lr, framesep=8pt, framerule=0pt}

\usepackage{hyperref}

\begin{document}
	\begin{titlepage}
		\centering
		\includegraphics[width=0.5\linewidth]{welle.png}\\
		\vspace{1cm}
		{\LARGE Schiffeversenken - eine Client-Server Anwendung}\\
		\vspace{1cm}
		{\Large Muss, Andreas\\
		\Large 27397\\
		\texttt{andreas.muss@hs-weingarten.de}\\
		\vspace{0.5cm}
		Ruoff, Florian\\
		\Large ...\\
		\texttt{florian.ruoff@hs-weingarten.de}\\
		\vfill
		\textbf{Informatikprojekt}\\
		unter Leitung von\\
		Prof. Dr. Silvia \textsc{Keller}}\\
		\vfill
		\today
	\end{titlepage}
	
	\thispagestyle{empty}
	\tableofcontents
	\newpage
	\setcounter{page}{1}
	
	\section{Einführung}
	
	\newpage
	
	\section{Begrifflichkeiten}
	
	\newpage
	
	\section{Anforderungsanalyse}
	
	\newpage
	
	\section{Umsetzung}
	
	\subsection{Client}
	
	\subsection{JavaFX}
		
	\subsection{Server}
	
	\subsubsection{Struktur}
	
	\subsubsection{Threads}
	
	\subsubsection{Map-Handling}
	
	\subsubsection{Ship-Handling}
	
	\subsection{CMake}
	
	\newpage
	
	\section{Ergebnisse}
	
	\newpage
	
	\section{Zusammenfassung}
	
	\newpage
	\addcontentsline{toc}{section}{Literaturverzeichnis}
	\printbibliography
\end{document}